<?php
/*
Plugin Name: Robots.txt Reminder
Plugin URI: http://puffbox.com/
Description: We've all done it; you create a new WordPress blog, you set it to block search engines until you're ready - then you forget to change the setting. This laughably simple plugin adds a gentle reminder to the top of all admin pages.
Author: Simon Dickson
Version: 1.0
Author URI: http://puffbox.com/
*/

function robot_reminder() {
	
	$privacysetting = get_option('blog_public');
	if(current_user_can('manage_options') && $privacysetting == 0) {
		$current_user = wp_get_current_user();
		echo '<div id="robots-warning" class="updated fade"><p><b>Remember, ' . $current_user->display_name . ':</b> search engines are currently blocked. <a href="' . get_bloginfo('wpurl') . '/wp-admin/options-privacy.php">Change this setting here when you\'re ready.</a></p></div>';
	}
}


add_action('admin_notices', 'robot_reminder');

?>
